<?php
/**
 * Welcome Screen Class
 */
class zovees_screen {

	/**
	 * Constructor for the welcome screen
	 */
	public function __construct() {

		/* activation notice */
		add_action( 'load-themes.php', array( $this, 'zovees_activation_admin_notice' ) );

	}
	
	public function zovees_activation_admin_notice() {
		global $pagenow;

		if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {
			add_action( 'admin_notices', array( $this, 'zovees_admin_notice' ), 99 );
		}
	}

	/**
	 * Display an admin notice linking to the welcome screen
	 * @sfunctionse 1.8.2.4
	 */
	public function zovees_admin_notice() {
		?>			
		<div class="updated notice is-dismissible construction-zone-notice">
			<h1><?php
			$theme_info = wp_get_theme();
			printf( esc_html__('Thanks for install %1$s , You rock!', 'zovees'), esc_html( $theme_info->Name ), esc_html( $theme_info->Version ) ); ?>
			</h1>
			<p><?php echo sprintf( esc_html__("Welcome! Thank you for choosing zovees WordPress theme. For build your dream site theme has to offer visit our %1\$s welcome page %2\$s.", 'zovees'), '<a href="' . esc_url( admin_url( 'themes.php?page=zovees_upgrade' ) ) . '">', '</a>' ); ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=zovees_upgrade' ) ); ?>" class="button button-blue-secondary button_info" style="text-decoration: none;"><?php echo esc_html__('Get started with Zovees','zovees'); ?></a></p>
		</div>
		<?php
	}
	
}

$GLOBALS['zovees_screen'] = new zovees_screen();